#!/bin/sh -e

certbot certonly -n      \
    --webroot            \
    -w /var/www/certbot/ \
    --agree-tos          \
    --no-eff-email       \
    -m "$EMAIL"          \
    -d "$BASE_URL"

for f in *; do
    envsubst "$(env | xargs printf '$%s ')" < "$f" > "/sites/$f"
done

printf "POST /containers/nginx/kill?signal=SIGHUP HTTP/1.0\r\n\n" \
    | nc -U /var/run/docker.sock
